> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://help.sigmacomputing.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://help.sigmacomputing.com/_mcp/server.

# Update a user attribute for users

PATCH https://api.sigmacomputing.com/v2/user-attributes/{userAttributeId}/users
Content-Type: application/json

Update a user attribute for one or more users. Currently, this endpoint only supports deleting a user attribute assignment.

  ### Usage notes
  - Retrieve the **userAttributeId** by calling the [/v2/user-attributes](https://help.sigmacomputing.com/reference/list-user-attributes) endpoint.
  - Specify one or more users by userId. Retrieve the **userId** by calling the [/v2/members](https://help.sigmacomputing.com/reference/list-members) endpoint and using the `memberId` included in the response.
    

Reference: https://help.sigmacomputing.com/reference/update-user-attribute-for-users

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: sigma-rest-api
  version: 1.0.0
paths:
  /v2/user-attributes/{userAttributeId}/users:
    patch:
      operationId: updateUserAttributeForUsers
      summary: Update a user attribute for users
      description: >-
        Update a user attribute for one or more users. Currently, this endpoint
        only supports deleting a user attribute assignment.

          ### Usage notes
          - Retrieve the **userAttributeId** by calling the [/v2/user-attributes](https://help.sigmacomputing.com/reference/list-user-attributes) endpoint.
          - Specify one or more users by userId. Retrieve the **userId** by calling the [/v2/members](https://help.sigmacomputing.com/reference/list-members) endpoint and using the `memberId` included in the response.
            
      tags:
        - userAttributes
      parameters:
        - name: userAttributeId
          in: path
          required: true
          schema:
            type: string
        - name: Authorization
          in: header
          description: OAuth authentication
          required: true
          schema:
            type: string
      responses:
        '200':
          description: The response body.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/userAttributes_updateUserAttributeForUsers_Response_200
      requestBody:
        description: The request body.
        content:
          application/json:
            schema:
              type: object
              properties:
                delete:
                  type: array
                  items:
                    $ref: >-
                      #/components/schemas/V2UserAttributesUserAttributeIdUsersPatchRequestBodyContentApplicationJsonSchemaDeleteItems
                  description: The users whose assignments are to be revoked.
              required:
                - delete
servers:
  - url: https://api.sigmacomputing.com
    description: Server for GCP (US) hosted organizations
  - url: https://api.sa.gcp.sigmacomputing.com
    description: Server for GCP (KSA) hosted organizations
  - url: https://aws-api.sigmacomputing.com
    description: Server for AWS US (West) hosted organizations
  - url: https://api.us-a.aws.sigmacomputing.com
    description: Server for AWS US (East) hosted organizations
  - url: https://api.ca.aws.sigmacomputing.com
    description: Server for AWS Canada hosted organizations
  - url: https://api.eu.aws.sigmacomputing.com
    description: Server for AWS Europe hosted organizations
  - url: https://api.au.aws.sigmacomputing.com
    description: Server for AWS Australia and APAC hosted organizations
  - url: https://api.uk.aws.sigmacomputing.com
    description: Server for AWS UK hosted organizations
  - url: https://api.us.azure.sigmacomputing.com
    description: Server for Azure US hosted organizations
  - url: https://api.eu.azure.sigmacomputing.com
    description: Server for Azure Europe hosted organizations
  - url: https://api.ca.azure.sigmacomputing.com
    description: Server for Azure Canada hosted organizations
  - url: https://api.uk.azure.sigmacomputing.com
    description: Server for Azure United Kingdom hosted organizations
  - url: https://api.au.azure.sigmacomputing.com
    description: Server for Azure Australia hosted organizations
components:
  schemas:
    V2UserAttributesUserAttributeIdUsersPatchRequestBodyContentApplicationJsonSchemaDeleteItems:
      type: object
      properties:
        userId:
          type: string
          description: The unique identifier of the user.
      required:
        - userId
      title: >-
        V2UserAttributesUserAttributeIdUsersPatchRequestBodyContentApplicationJsonSchemaDeleteItems
    userAttributes_updateUserAttributeForUsers_Response_200:
      type: object
      properties: {}
      title: userAttributes_updateUserAttributeForUsers_Response_200
  securitySchemes:
    OAuth:
      type: http
      scheme: bearer
      description: OAuth 2.0 authentication

```

## Examples



**Request**

```json
{
  "delete": [
    {
      "userId": "a1b2c3d4-e5f6-7890-ab12-cd34ef567890"
    },
    {
      "userId": "f0e1d2c3-b4a5-6789-0abc-def123456789"
    }
  ]
}
```

**Response**

```json
{}
```

**SDK Code**

```python
import requests

url = "https://api.sigmacomputing.com/v2/user-attributes/userAttributeId/users"

payload = { "delete": [{ "userId": "a1b2c3d4-e5f6-7890-ab12-cd34ef567890" }, { "userId": "f0e1d2c3-b4a5-6789-0abc-def123456789" }] }
headers = {
    "Authorization": "<token>.",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.sigmacomputing.com/v2/user-attributes/userAttributeId/users';
const options = {
  method: 'PATCH',
  headers: {Authorization: '<token>.', 'Content-Type': 'application/json'},
  body: '{"delete":[{"userId":"a1b2c3d4-e5f6-7890-ab12-cd34ef567890"},{"userId":"f0e1d2c3-b4a5-6789-0abc-def123456789"}]}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.sigmacomputing.com/v2/user-attributes/userAttributeId/users"

	payload := strings.NewReader("{\n  \"delete\": [\n    {\n      \"userId\": \"a1b2c3d4-e5f6-7890-ab12-cd34ef567890\"\n    },\n    {\n      \"userId\": \"f0e1d2c3-b4a5-6789-0abc-def123456789\"\n    }\n  ]\n}")

	req, _ := http.NewRequest("PATCH", url, payload)

	req.Header.Add("Authorization", "<token>.")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.sigmacomputing.com/v2/user-attributes/userAttributeId/users")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["Authorization"] = '<token>.'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"delete\": [\n    {\n      \"userId\": \"a1b2c3d4-e5f6-7890-ab12-cd34ef567890\"\n    },\n    {\n      \"userId\": \"f0e1d2c3-b4a5-6789-0abc-def123456789\"\n    }\n  ]\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.patch("https://api.sigmacomputing.com/v2/user-attributes/userAttributeId/users")
  .header("Authorization", "<token>.")
  .header("Content-Type", "application/json")
  .body("{\n  \"delete\": [\n    {\n      \"userId\": \"a1b2c3d4-e5f6-7890-ab12-cd34ef567890\"\n    },\n    {\n      \"userId\": \"f0e1d2c3-b4a5-6789-0abc-def123456789\"\n    }\n  ]\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PATCH', 'https://api.sigmacomputing.com/v2/user-attributes/userAttributeId/users', [
  'body' => '{
  "delete": [
    {
      "userId": "a1b2c3d4-e5f6-7890-ab12-cd34ef567890"
    },
    {
      "userId": "f0e1d2c3-b4a5-6789-0abc-def123456789"
    }
  ]
}',
  'headers' => [
    'Authorization' => '<token>.',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.sigmacomputing.com/v2/user-attributes/userAttributeId/users");
var request = new RestRequest(Method.PATCH);
request.AddHeader("Authorization", "<token>.");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"delete\": [\n    {\n      \"userId\": \"a1b2c3d4-e5f6-7890-ab12-cd34ef567890\"\n    },\n    {\n      \"userId\": \"f0e1d2c3-b4a5-6789-0abc-def123456789\"\n    }\n  ]\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "<token>.",
  "Content-Type": "application/json"
]
let parameters = ["delete": [["userId": "a1b2c3d4-e5f6-7890-ab12-cd34ef567890"], ["userId": "f0e1d2c3-b4a5-6789-0abc-def123456789"]]] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.sigmacomputing.com/v2/user-attributes/userAttributeId/users")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PATCH"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```